@echo off
pushd "%~dp0.."
if ""%1"" == """" (set IN="files\in") else (set IN="%~f1")
if ""%2"" == """" (set OUT="files\out") else (set OUT="%~f2")
if ""%3"" == """" (set PHASE=current_content) else (set PHASE=%3)
echo Continuously converting and validating TF JATS 1.0 files source %IN% to JATS 1.2 destination %OUT% using phase %PHASE%
call .\gradlew.bat -t continuous -Pp=%PHASE% -Pi=%IN% -Po=%OUT%
popd
pause
